Bug 471489 - RFE: Update Meanwhile to 1.1.0 CVS to fix problems with Lotus Domino 7
RFE: Update Meanwhile to 1.1.0 CVS to fix problems with Lotus Domino 7
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: meanwhile (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
http://meanwhile.cvs.sourceforge.net/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 17:36 EST by Walter Francis
Modified: 2008-12-11 02:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 02:56:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source rpm build from branch, with slighly updated Fedora specfile (2.69 MB, application/octet-stream)
2008-11-13 17:36 EST, Walter Francis
no flags Details

  None (edit)
Description Walter Francis 2008-11-13 17:36:18 EST
Created attachment 323506 [details]
Source rpm build from branch, with slighly updated Fedora specfile

Meanwhile 1.0.2 has problems communicating with Lotus Domino 7 and greater, resulting in Pidgin (and other clients that might use it?) not seeing user status immediately.  It only sees when a user changes status, or logs in after you have logged in.

The Pidgin folks have been using this CVS branch for a few releases to fix this problem in Windows.  Please see http://developer.pidgin.im/ticket/58 

The code is on the Meanwhile sourceforge CVS, but it is in a branch.  Here are the commands I use to pull the code and update it to 1.1.0

cvs -d:pserver:anonymous@meanwhile.cvs.sourceforge.net:/cvsroot/meanwhile login
cvs -z3 -d:pserver:anonymous@meanwhile.cvs.sourceforge.net:/cvsroot/meanwhile checkout meanwhile
cvs -z3 -d:pserver:anonymous@meanwhile.cvs.sourceforge.net:/cvsroot/meanwhile update -r meanwhile_v1_1_0

After, I rename the meanwhile directory to meanwhile-1.1.0, tar it, gzip it, put it in my rpmbuild folder, rpmbuild -bs meanwhile-1.1.0/meanwhile.spec which creates a src.rpm, then I rpmbuild --rebuild that src.rpm.  If any of this should be attached to this bug report please let me know.  I am attaching the src.rpm just in case it's desired.  

I have replaced the meanwhile.spec from the Fedora 1.0.2 src.rpm and rebuilt again, so the src.rpm attached here contains it.  I have only modified the spec file in regards to updating the version from 1.0.2-6 to 1.1.0-0
Comment 1 Josh Boyer 2008-11-17 13:27:43 EST
Thanks for the bug reports.  I'm working on an update now.  Your SRPM misses a patch that was added not too long ago, so I'll respin it myself.

Just to be sure, you didn't have to rebuild pidgin after updating your system to meanwhile-1.1.0-0.fc9, correct?
Comment 2 Fedora Update System 2008-11-17 14:02:20 EST
meanwhile-1.1.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/meanwhile-1.1.0-0.fc9
Comment 3 Walter Francis 2008-11-17 14:21:12 EST
Thank you for looking into this!  The SRPM I submitted was more just to help contribute rather than looking for it to be "the" package, I knew it wouldn't be perfect by any means, thanks for getting it up to snuff and submitting it!

I did not have to rebuild Pidgin at all, just exited, updated Meanwhile, and started Pidgin.  I looked through some of the Sametime-related GUI stuff in accounts, I've added folks, etc, but I haven't done what I'd call a full regression, but overall it works the same as the previous version did, but better of course in terms of communications with the servers to see current status of folks.

Thanks!  I'm going to check out the Koji build right now.  :)
Comment 4 Fedora Update System 2008-11-19 09:57:06 EST
meanwhile-1.1.0-0.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update meanwhile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9798
Comment 5 Fedora Update System 2008-12-11 02:56:38 EST
meanwhile-1.1.0-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.